Subject: bug#36649: 27.0.50; pure space and pdumper

From: Pip Cet <[email-masked]>
Date: Sat, 2 Jul 2022 08:55:46 +0000

On Fri, Jul 1, 2022 at 6:58 PM Stefan Monnier <[email-masked]> wrote:
> >> That means keeping purespace and hence not applying the patch.
> >> Why would we want to keep purespace in the unexec build?
> > This was discussed at length, I think in this bug as well.
> I've seen it stated in this thread, but never explained, no.

FWIW, I don't recall any reason why it shouldn't work with unexec,
either. To the best of my recollection, unexec was generally broken at
the time I wrote the patch; I fixed unexec and then it worked without
purespace, but the unexec fixes never made it into master until Eli
re-did them a while later.

(IIRC, this patch predates the nativecomp merge and that affected pure
space a little, so that probably needs to be kept in mind.)

Pip